ChiliProject - Feature # 506: Support for "local” Gemfile - Gemfile.local

Status: Closed Priority: Normal

Author: Ammler _ Category: Libraries

Created: 2011-07-04 Assignee: Eric Davis

Updated: 2011-07-22 Due date:

Remote issue URL:

Affected version: 2.0.0

Description: please consider to support a local Gemfile so edit source file Gemfile is not needed, this is e.g. required to run

cp with unicorn:

<pre>
bundle exec unicorn_rails -E production
</pre>

my patch suggestion: (also fixes faulty ignores for hg)
http://paste.pocoo.org/raw/429291/

from meineerde:
https://gist.github.com/1063860

Associated revisions

2011-07-22 11:48 pm - Eric Davis

[#506] Read Gemfile.local for local gem inclusions.

Contributed by Holger Just

History

2011-07-05 08:41 am - Gregor Schmidt

Is this any better than creating a @vendor/plugins/local/Gemfile@?

2011-07-05 09:31 am - Ammler _

You mean, | should make a Plugin to run cp with unicorn?

2011-07-06 02:47 pm - Gregor Schmidt

Not a full-blown plugin - just a folder in @vendor/plugins@ to put your Gemfile in.

| know, this seems like a weird work-around, but on the other hand, it would save us from another exception/special rule. And nobody knows, what this
might buy us in the future.

This is just a proposal to fix your problem with minimal effort. If this is not feasible, please tell us.

2011-07-07 09:28 am - Ammler _

- Status changed from Open to Closed

This workaround is good and working, thanks...

2011-07-12 11:05 pm - Eric Davis
- Target version set to 2.1.0

- Assignee set to Eric Davis
- Category set to Libraries

- Status changed from Closed to Open

Thought of a use case where we will need a Gemfile.local (and one that I'll be using more and more).

Plugins installed as gems... A Gemfile.local would let you add gem plugins in there, which would then let them include their own dependencies as part

of rubygems itself.

This will especially become important with Rails 3 since it makes having gem plugins (engines) easier.

2011-07-22 09:51 pm - Eric Davis
- Subject changed from Support for "local" Gemfile to Support for "local" Gemfile - Gemfile.local

- (deleted custom field) set to 2.0.0

- Status changed from Open to Closed

| added support for a @CHILIPROJECT_ROOT/Gemfile.local@ to master.
